# Uses of Class
org.osgi.service.application.ApplicationDescriptor

Packages that use ApplicationDescriptor
Package
Description
org.osgi.service.application

## Uses of ApplicationDescriptor in org.osgi.service.application

Methods in org.osgi.service.application that return ApplicationDescriptor
Modifier and Type
Method
Description
`final ApplicationDescriptor`
ApplicationHandle.`getApplicationDescriptor()`
Retrieves the `ApplicationDescriptor` to which this `ApplicationHandle` belongs.
`ApplicationDescriptor`
ScheduledApplication.`getApplicationDescriptor()`
Retrieves the ApplicationDescriptor which represents the application and necessary for launching.
Constructors in org.osgi.service.application with parameters of type ApplicationDescriptor
Modifier
Constructor
Description
``
`ApplicationAdminPermission(ApplicationDescriptor application, String actions)`
This contructor should be used when creating `ApplicationAdminPermission` instance for `checkPermission` call.
`protected`
`ApplicationHandle(String instanceId, ApplicationDescriptor descriptor)`
Application instance identifier is specified by the container when the instance is created.